package com.dcsoft.system.consume.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 餐补明细对象 consume_subsidy_record
 *
 * @author nichun
 * @date 2023-10-11
 */
public class ConsumeSubsidyRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 工号 */
    @Excel(name = "工号")
    private String empId;

    /** 帐号 */
    private Long accountId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String accountName;

    /** 部门Id */
    private Long branchId;

    /** 部门 */
    @Excel(name = "部门")
    private String branchName;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 补贴标准 */
    @Excel(name = "补贴标准")
    private Long subsidy;

    /** 补贴系数 */
    @Excel(name = "补贴系数")
    private String coefficient;

    /** 补贴天数 */
    @Excel(name = "补贴天数")
    private Long subsidyDay;

    /** 加班补贴天数 */
    @Excel(name = "加班补贴天数")
    private Long overtime;

    /** 二维码消费次数 */
    @Excel(name = "二维码消费次数")
    private Long ewmNum;

    /** 二维码消费金额 */
    @Excel(name = "二维码消费金额")
    private Double ewmMoney;

    /** 金额 */
    @Excel(name = "金额")
    private Double allMoney;

    /** 补贴时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "补贴时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date subsidyTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /** 删除标志(0正常 1补贴 2删除) */
    private Long delFlag;

    //查询条件是否补贴
    private String isBt;
    //查询条件是否二维码
    private String isEwm;

    private String tabFlag;

    private String isSh;



    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    public String getTabFlag() {
        return tabFlag;
    }

    public void setTabFlag(String tabFlag) {
        this.tabFlag = tabFlag;
    }

    public String getIsBt() {
        return isBt;
    }

    public void setIsBt(String isBt) {
        this.isBt = isBt;
    }

    public String getIsEwm() {
        return isEwm;
    }

    public void setIsEwm(String isEwm) {
        this.isEwm = isEwm;
    }

    private String[] tableNames;

    public String[] getTableNames() {
        return tableNames;
    }

    public void setTableNames(String[] tableNames) {
        this.tableNames = tableNames;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEmpId(String empId)
    {
        this.empId = empId;
    }

    public String getEmpId()
    {
        return empId;
    }
    public void setAccountId(Long accountId)
    {
        this.accountId = accountId;
    }

    public Long getAccountId()
    {
        return accountId;
    }
    public void setAccountName(String accountName)
    {
        this.accountName = accountName;
    }

    public String getAccountName()
    {
        return accountName;
    }
    public void setBranchId(Long branchId)
    {
        this.branchId = branchId;
    }

    public Long getBranchId()
    {
        return branchId;
    }
    public void setBranchName(String branchName)
    {
        this.branchName = branchName;
    }

    public String getBranchName()
    {
        return branchName;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setSubsidy(Long subsidy)
    {
        this.subsidy = subsidy;
    }

    public Long getSubsidy()
    {
        return subsidy;
    }
    public void setCoefficient(String coefficient)
    {
        this.coefficient = coefficient;
    }

    public String getCoefficient()
    {
        return coefficient;
    }
    public void setSubsidyDay(Long subsidyDay)
    {
        this.subsidyDay = subsidyDay;
    }

    public Long getSubsidyDay()
    {
        return subsidyDay;
    }
    public void setOvertime(Long overtime)
    {
        this.overtime = overtime;
    }

    public Long getOvertime()
    {
        return overtime;
    }
    public void setEwmNum(Long ewmNum)
    {
        this.ewmNum = ewmNum;
    }

    public Long getEwmNum()
    {
        return ewmNum;
    }
    public void setEwmMoney(Double ewmMoney)
    {
        this.ewmMoney = ewmMoney;
    }

    public Double getEwmMoney()
    {
        return ewmMoney;
    }
    public void setAllMoney(Double allMoney)
    {
        this.allMoney = allMoney;
    }

    public Double getAllMoney()
    {
        return allMoney;
    }
    public void setSubsidyTime(Date subsidyTime)
    {
        this.subsidyTime = subsidyTime;
    }

    public Date getSubsidyTime()
    {
        return subsidyTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getIsSh() {
        return isSh;
    }

    public void setIsSh(String isSh) {
        this.isSh = isSh;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("empId", getEmpId())
            .append("accountId", getAccountId())
            .append("accountName", getAccountName())
            .append("branchId", getBranchId())
            .append("branchName", getBranchName())
            .append("position", getPosition())
            .append("subsidy", getSubsidy())
            .append("coefficient", getCoefficient())
            .append("subsidyDay", getSubsidyDay())
            .append("overtime", getOvertime())
            .append("ewmNum", getEwmNum())
            .append("ewmMoney", getEwmMoney())
            .append("allMoney", getAllMoney())
            .append("subsidyTime", getSubsidyTime())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
